OGRE: Ogre::RenderObjectListener Class Reference - OGRE Documentation

Public Member Functions

# Ogre::RenderObjectListener Class Reference

Abstract interface which classes must implement if they wish to receive events from the scene manager when single object is about to be rendered. More...

`#include <OgreRenderObjectListener.h>`

Inheritance diagram for Ogre::RenderObjectListener:
[legend]

List of all members.

## Public Member Functions
virtual | ~RenderObjectListener ()
virtual void | notifyRenderSingleObject (Renderable *rend, const Pass *pass, const AutoParamDataSource *source, const LightList *pLightList, bool suppressRenderStateChanges)=0
| Event raised when render single object started.

## Detailed Description

Abstract interface which classes must implement if they wish to receive events from the scene manager when single object is about to be rendered.

Definition at line 43 of file OgreRenderObjectListener.h.

## Constructor & Destructor Documentation

virtual Ogre::RenderObjectListener::~RenderObjectListener | ( |  | ) | `[virtual]`

Definition at line 46 of file OgreRenderObjectListener.h.

## Member Function Documentation

virtual void Ogre::RenderObjectListener::notifyRenderSingleObject | ( | Renderable * | rend,
|  | const Pass * | pass,
|  | const AutoParamDataSource * | source,
|  | const LightList * | pLightList,
|  | bool | suppressRenderStateChanges |
| ) |  |  | `[pure virtual]`

Event raised when render single object started.

Remarks:
  This method is called by the SceneManager.

Parameters:

  | pass | The renderable that is going to be rendered.
  | pass | The pass which was set.
  | source | The auto parameter source used within this render call. The light list in use. True if render state changes should be suppressed.

The documentation for this class was generated from the following file:

- OgreRenderObjectListener.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:59